import { Context, PublicKey } from '@metaplex-foundation/umi';
import { MetadataArgs } from './generated';
import { ReadApiInterface } from './readApiDecorator';
import { GetAssetProofRpcResponse, ReadApiAsset } from './readApiTypes';
export declare type AssetWithProof = {
    leafOwner: PublicKey;
    leafDelegate: PublicKey;
    merkleTree: PublicKey;
    root: Uint8Array;
    dataHash: Uint8Array;
    creatorHash: Uint8Array;
    nonce: number;
    index: number;
    proof: PublicKey[];
    metadata: MetadataArgs;
    rpcAsset: ReadApiAsset;
    rpcAssetProof: GetAssetProofRpcResponse;
};
export declare const getAssetWithProof: (context: Pick<Context, 'rpc'> & {
    rpc: ReadApiInterface;
}, assetId: PublicKey) => Promise<AssetWithProof>;
