"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findLeafAssetIdPda = void 0;
const serializers_1 = require("@metaplex-foundation/umi/serializers");
const generated_1 = require("./generated");
function findLeafAssetIdPda(context, seeds) {
    const programId = context.programs.getPublicKey('mplBubblegum', generated_1.MPL_BUBBLEGUM_PROGRAM_ID);
    return context.eddsa.findPda(programId, [
        (0, serializers_1.string)({ size: 'variable' }).serialize('asset'),
        (0, serializers_1.publicKey)().serialize(seeds.merkleTree),
        (0, serializers_1.u64)().serialize(seeds.leafIndex),
    ]);
}
exports.findLeafAssetIdPda = findLeafAssetIdPda;
//# sourceMappingURL=leafAssetId.js.map